## germinate 0.3

=== debian/changelog ===
germinate (0.3) breezy; urgency=low

  * Add a man page for germinate.
  * Explain in pkg-diff --help that you can supply a list of seeds to
    compare against as non-option arguments.
  * Update pkg-diff's default seeds to 'minimal standard desktop', to match
    the breezy seeds.
  * Add germinate --seed-packages option, to allow calculating dependencies
    of individual extra packages during a germinate run.
  * Policy version 3.6.2. No changes required.
  * Update GPL notices with the FSF's new address.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2005 18:47:20 +0100

germinate (0.2) breezy; urgency=low

  * Fix formatting of output lines with UTF-8 maintainer strings.
  * Really pick the first reason from the build-dependency tree to display
    in output files.
  * Record allowed d-i kernel versions on a per-seed basis, so that we can
    have some kernel versions supported for netboot installations only.
  * Force a trailing slash onto the end of any --seed-source argument.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 May 2005 16:32:38 +0100

germinate (0.1) breezy; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Apr 2005 20:24:53 +1000
