=== debian/control ===
Source: germinate
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4)

Package: germinate
Architecture: all
Depends: ${python:Depends}
Description: Expand dependencies in a list of seed packages
 Germinate takes lists of seed packages and expands their dependencies to
 produce a full list of packages. This can be used for purposes such as
 managing the list of packages present in a derived distribution's archive
 or CD builds.
