## germinate 0.3.1

=== debian/changelog ===
germinate (0.3.1) breezy-updates; urgency=low

  * Stop accidentally including extra in the all and supported+build-depends
    outputs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 30 Oct 2005 16:23:56 -0500
