## germinate 0.11

=== debian/changelog ===
germinate (0.11) dapper; urgency=low

  * Fix plantSeed() backward incompatibility for *-meta/update scripts by
    defaulting seedrelease to None.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Feb 2006 15:56:35 +0000

germinate (0.10) dapper; urgency=low

  * Add seed distribution name to seed descriptions in the "Why" column.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Feb 2006 18:07:16 +0000

germinate (0.9) dapper; urgency=low

  * When processing the build tree, germinate is (correctly) careful not to
    promote packages from lesser seeds, since we still want to consider them
    (e.g.) part of ship even if they're build-dependencies of desktop.
    However, this sometimes caused us to select the wrong alternative from
    an or-ed build-dependency (e.g. redland Build-Depends:
    libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev and
    libmysqlclient15-dev was in the Ubuntu supported seed). To fix this,
    process the packages at that point anyway and just avoid promoting them.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Feb 2006 13:51:30 +0000

germinate (0.8) dapper; urgency=low

  * When identifying extras, check for binaries built from multiple source
    packages and skip any superseded binaries.
  * Change default for --components to main and restricted, since the Ubuntu
    seeds rely on packages from restricted in order to germinate correctly.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Feb 2006 12:11:24 +0000

germinate (0.7) dapper; urgency=low

  * Depend on python-apt (thanks, Jani Monoses).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Nov 2005 19:23:45 +0000

germinate (0.6) dapper; urgency=low

  * Add regular expression support in seeds. Weaken architecture
    specification error checking in order to be able to use [...] in regular
    expressions more easily.
  * Add support for including all the binaries from a given source package
    (using "%source") in seeds.
  * Add germinate --cleanup option, to prevent caching of Packages and
    Sources files.
  * Add germinate --source-mirror option, to allow Packages and Sources
    files to be on different mirrors (e.g. Ubuntu ports architectures).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2005 14:37:37 +0000

germinate (0.5) dapper; urgency=high

  * Stop accidentally including extra in the all and supported+build-depends
    outputs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 30 Oct 2005 12:35:47 -0500

germinate (0.4) dapper; urgency=low

  * Don't attempt to satisfy versioned dependencies of .debs using virtual
    packages, as the packaging toolchain doesn't support that. (udpkg/anna
    do support this for .udebs, and the installer relies on that.)
  * Change default distribution to dapper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2005 12:14:07 +0100
