=== debian/rules ===
#! /usr/bin/make -f

tmp = $(CURDIR)/debian/germinate

build:

clean:
	dh_testdir
	dh_testroot
	-find -name \*.pyc | xargs -r rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# TODO: use distutils
	dh_install Germinate/*.py usr/share/germinate/Germinate/
	dh_install Germinate/Archive/*.py usr/share/germinate/Germinate/Archive/
	install -m755 *.py $(tmp)/usr/share/germinate/

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman man/*.1
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean install binary-arch binary-indep binary
