## germinate 0.11ubuntu2

=== debian/changelog ===
germinate (0.11ubuntu2) dapper-updates; urgency=low

  * Backport from mainline for dapper-updates:

  [ 0.20 ]
  * Consider sources from inner seeds while rescuing packages from extra (so
    e.g. in Ubuntu Extra-Include in supported should look at source packages
    from minimal etc. as well as from supported).
  * Rescue from sources in the build tree in a separate pass, and add
    rescued packages to the depends/build-depends lists rather than
    pretending that they're explicitly seeded. This means that rescued
    packages end up correctly in supported or supported+build-depends
    depending on whether their source packages were found while processing
    dependencies or build-dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Jul 2006 13:13:01 +0100

germinate (0.11ubuntu1) dapper-updates; urgency=low

  * Backport from mainline for dapper-updates:

  [ 0.12 ]
  * Switch to my debian.org maintainer address.

  [ 0.13 ]
  * Build-depend on python (closes: #363040).

  [ 0.15 ]
  * Source moved to bzr; update copyright file.
  * Add germinate-update-metapackage script to help manage updating
    ubuntu-meta et al (thanks, Gustavo Franco; closes:
    https://launchpad.net/bugs/37917).
  * Improve man page documentation of --seed-packages slightly (see
    #363536).

  [ 0.16 ]
  * Add --bzr option to automatically check out seeds from bzr.
  * Switch from urllib to urllib2.
  * Refactor duplicated seed-fetching code into new Germinate.seeds module.
  * Add optional seed_dist setting in update.cfg files, to allow setting a
    default seed distribution.
  * Add --bzr option to update-metapackage as well (mostly implementing
    https://launchpad.net/distros/ubuntu/+spec/ubuntu-meta-from-bzr).

  [ 0.17 ]
  * Fix d-i kernel version pruning to happen early enough to exclude seeded
    packages for the wrong kernel version (which can easily happen e.g. if
    regex seeds are used).
  * If no Kernel-Version variable is given, allow all udebs with
    Kernel-Version headers rather than none of them.

  [ 0.19 ]
  * Allow shell-style globs in seeds wherever regular expressions are
    allowed. (Regular expressions are surrounded by /.../, making this
    unambiguous.)
  * Add support for Extra-Include and Extra-Exclude variables, which allow
    automatically rescuing packages that match certain patterns from extra
    (https://launchpad.net/distros/ubuntu/+spec/seed-cleanup).
  * Tweak logging priorities for messages about virtual seed entries.
  * Don't display debugging messages by default; add germinate -v/--verbose
    option to display them.
  * Use sets rather than lists where possible. This roughly halves the
    runtime for the Ubuntu seeds.
  * Add extras recursively: binaries generated by sources pulled in by
    dependencies or build-dependencies of extra binaries should themselves
    be extra.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Jul 2006 22:56:17 +0100
