## germinate 0.24

=== debian/changelog ===
germinate (0.24) unstable; urgency=low

  * When processing whole-source seed entries, only include real packages.
    This avoids slews of warnings for binaries that only exist on other
    architectures, and avoids mistakenly picking up virtual packages.

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Oct 2006 11:59:45 +0100

germinate (0.23) unstable; urgency=low

  * Fix recommends-related changelog entries from update-metapackage.

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Sep 2006 18:44:37 +0100

germinate (0.22) unstable; urgency=low

  * Fix crash when promoting from lesser seeds.
  * Include recommends in main outputs (they should continue to appear in
    Task headers and such, just not in metapackage dependencies), and create
    a .seed-recommends output for just the seeded recommendations.

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Sep 2006 15:28:57 +0100

germinate (0.21ubuntu1) edgy; urgency=low

  * added support for recommends in seeds via enclosing the
    packagename in '('..')'. E.g. 
    * (pkgname)     # this will produce a recommends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 16:44:36 +0200

germinate (0.21) unstable; urgency=low

  * Add optional output_seeds setting (defaults to value of seeds) in
    update.cfg, to allow seeds to be germinated for inheritance purposes
    without being output.
  * Sort added and removed packages in metapackage changelogs.

 -- Colin Watson <cjwatson@debian.org>  Mon,  7 Aug 2006 16:19:15 +0100

germinate (0.20) unstable; urgency=low

  * Consider sources from inner seeds while rescuing packages from extra (so
    e.g. in Ubuntu Extra-Include in supported should look at source packages
    from minimal etc. as well as from supported).
  * Rescue from sources in the build tree in a separate pass, and add
    rescued packages to the depends/build-depends lists rather than
    pretending that they're explicitly seeded. This means that rescued
    packages end up correctly in supported or supported+build-depends
    depending on whether their source packages were found while processing
    dependencies or build-dependencies.

 -- Colin Watson <cjwatson@debian.org>  Wed,  5 Jul 2006 13:08:34 +0100

germinate (0.19) unstable; urgency=low

  * Allow shell-style globs in seeds wherever regular expressions are
    allowed. (Regular expressions are surrounded by /.../, making this
    unambiguous.)
  * Add support for Extra-Include and Extra-Exclude variables, which allow
    automatically rescuing packages that match certain patterns from extra
    (https://launchpad.net/distros/ubuntu/+spec/seed-cleanup).
  * Tweak logging priorities for messages about virtual seed entries.
  * Don't display debugging messages by default; add germinate -v/--verbose
    option to display them.
  * Use sets rather than lists where possible. This roughly halves the
    runtime for the Ubuntu seeds.
  * Add extras recursively: binaries generated by sources pulled in by
    dependencies or build-dependencies of extra binaries should themselves
    be extra.

 -- Colin Watson <cjwatson@debian.org>  Tue,  4 Jul 2006 11:57:47 +0100

germinate (0.18) unstable; urgency=low

  * Convert to python-support.
  * Move python and python-support build-dependencies to
    Build-Depends-Indep.
  * Policy version 3.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sat,  1 Jul 2006 12:33:24 +0100

germinate (0.17) unstable; urgency=low

  * Fix d-i kernel version pruning to happen early enough to exclude seeded
    packages for the wrong kernel version (which can easily happen e.g. if
    regex seeds are used).
  * If no Kernel-Version variable is given, allow all udebs with
    Kernel-Version headers rather than none of them.
  * Change default distribution to edgy.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Jun 2006 18:10:40 +0100

germinate (0.16) unstable; urgency=low

  * Add --bzr option to automatically check out seeds from bzr.
  * Switch from urllib to urllib2.
  * Refactor duplicated seed-fetching code into new Germinate.seeds module.
  * Add optional seed_dist setting in update.cfg files, to allow setting a
    default seed distribution.
  * Add --bzr option to update-metapackage as well (mostly implementing
    https://launchpad.net/distros/ubuntu/+spec/ubuntu-meta-from-bzr).

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Jun 2006 12:15:01 +0100

germinate (0.15) unstable; urgency=low

  * Source moved to bzr; update copyright file.
  * Add germinate-update-metapackage script to help manage updating
    ubuntu-meta et al (thanks, Gustavo Franco; closes:
    https://launchpad.net/bugs/37917).
  * Improve man page documentation of --seed-packages slightly (see
    #363536).

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Jun 2006 01:04:21 +0100

germinate (0.14) unstable; urgency=low

  * Move Python modules to /usr/lib/germinate; .pyc/.pyo files are
    architecture-dependent.

 -- Colin Watson <cjwatson@debian.org>  Sat, 13 May 2006 10:05:37 +0100

germinate (0.13) unstable; urgency=low

  * Build-depend on python (closes: #363040).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Apr 2006 11:44:13 +0100

germinate (0.12) unstable; urgency=low

  * Upload to Debian (closes: #360631).
  * Switch to my debian.org maintainer address.

 -- Colin Watson <cjwatson@debian.org>  Mon,  3 Apr 2006 23:25:23 +0100
