=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,9 @@
 	dh_installdirs
 
 	# TODO: use distutils
-	dh_install Germinate/*.py usr/share/germinate/Germinate/
-	dh_install Germinate/Archive/*.py usr/share/germinate/Germinate/Archive/
-	install -m755 *.py $(tmp)/usr/share/germinate/
+	dh_install Germinate/*.py usr/lib/germinate/Germinate/
+	dh_install Germinate/Archive/*.py usr/lib/germinate/Germinate/Archive/
+	install -m755 *.py $(tmp)/usr/lib/germinate/
 
 binary-arch:
 
@@ -32,6 +32,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
+	dh_pysupport
 	dh_python
 	dh_installdeb
 	dh_gencontrol
