## germinate 0.25

=== debian/changelog ===
germinate (0.25) unstable; urgency=low

  * Change default distribution to feisty.
  * Fix file descriptor leak in Germinator.parseStructure().
  * Put the contents of the STRUCTURE seed file in a new "structure" output
    file.
  * Change default seed distribution to "ubuntu.feisty"; note new naming
    scheme.
  * Fetch seeds from
    http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ by default if
    the --bzr option is used.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Dec 2006 09:29:46 +0000
