## germinate 0.33

=== debian/changelog ===
germinate (0.33) unstable; urgency=low

  * Honour recommends in germinate-pkg-diff.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Jul 2007 09:07:16 +0100

germinate (0.32) unstable; urgency=low

  * Use dch -iU rather than dch -U. (I use
    DEBCHANGE_RELEASE_HEURISTIC=changelog so never noticed the problem.)
  * Fix germinate-pkg-diff --mode option (was incorrectly --mirror, contrary
    to its meaning and the documentation).
  * Make germinate-pkg-diff work again even if supported is not in its list
    of seeds.
  * germinate-pkg-diff now automatically adds inherited seeds as necessary.
    Thus, the default list of seeds is reduced to simply 'desktop'.
  * Download package index files to a temporary directory if they aren't
    going to be saved.
  * Clean up package index files downloaded for germinate-pkg-diff.
  * Add germinate-pkg-diff -a/--arch option.
  * Update copyright dates.
  * Add manual pages for germinate-pkg-diff and
    germinate-update-metapackage.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Jul 2007 14:00:50 +0100

germinate (0.31) unstable; urgency=low

  * Fix excluding packages from seeds other than extra.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Jul 2007 10:08:24 +0100

germinate (0.30) unstable; urgency=low

  * Generalise Extra-Include and Extra-Exclude to allow rescuing packages
    from any seed, not just extra. For example, Mobile-Include: *-dev will
    rescue all packages from sources that generate binaries named *-dev in
    the mobile output.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Jul 2007 17:43:30 +0100

germinate (0.29) unstable; urgency=low

  * Add Vcs-Bzr control field.
  * Use dch -U if available.
  * Document meaning of seed entries in parentheses.
  * Remove old arch-tag lines.
  * PEP-8 import ordering.
  * Add --version option to all programs.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Jul 2007 12:26:52 +0100

germinate (0.28) unstable; urgency=low

  * Try to fall back to alternative dependencies if one is blacklisted.
  * Honour blacklist entries even if they're explicitly seeded.
  * Don't apply blacklists (apart from the "supported" blacklist) to
    build-dependencies.
  * Be a little more verbose when blacklisting packages.
  * Allow "seed_map/SEED" configuration file entries in update-metapackage
    to have an output metapackage read its package list from multiple seeds
    (needed for splitting required and minimal in the Ubuntu seeds).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2007 20:56:11 +0100

germinate (0.27) unstable; urgency=low

  * Add support for negative architecture specifications, e.g. [!powerpc].
  * Document % and [arch] seed syntaxes in germinate(1).
  * Add support for prefixing seed entries with "!" to enforce blacklisting
    packages from the containing seed and any of its inner seeds. For
    example, this allows a package to be in Ubuntu main but blacklisted from
    being shipped on CDs.
  * Change default distribution to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Jun 2007 12:54:27 +0100

germinate (0.26) unstable; urgency=low

  * Change default non-bzr seed location to
    http://people.ubuntu.com/~ubuntu-archive/seeds/.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Mar 2007 12:01:14 +0000
