## germinate 0.45

=== debian/changelog ===
germinate (0.45) unstable; urgency=low

  * Add missing apt_pkg.InitSystem() calls (LP: #215625).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2008 12:19:47 +0100

germinate (0.44) unstable; urgency=low

  * Support multiple archives (LP: #182915). Patch mostly from
    Francois-Denis Gonthier, adjusted and extended by me.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2008 08:40:59 +0100

germinate (0.43) unstable; urgency=low

  * Fix crash when using --seed-packages option.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Apr 2008 06:52:24 +0100

germinate (0.42) unstable; urgency=low

  * Change Maintainer address back to cjwatson@ubuntu.com; I generally work
    on this package on work time.
  * germinate-update-metapackage honours new Task-Seeds and Task-Metapackage
    seed headers, replacing previous seed_map/* and metapackage_map/*
    entries in update.cfg.
  * Fix error message on failing to download non-bzr seeds.
  * Update kubuntu-meta example in germinate-update-metapackage(1).
  * Simplify germinate-update-metapackage changelog output when a package
    moves from depends to recommends or vice versa.
  * Remove obsolete dh_python call from debian/rules.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Feb 2008 17:54:28 +0000

germinate (0.41) unstable; urgency=low

  * Plant seeds in topologically-sorted order. The intent of this change is
    the same as that in 0.40, only this time it should actually work in the
    face of seeds that inherit from other seeds that are overridden in a
    different branch.
  * On the other hand, continue to use the last entry in the source
    STRUCTURE file as the supported seed. It may not be topologically last
    if there are seeds in included branches that are not inherited by
    supported.
  * Remove overridden entries from 'structure' output file.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Feb 2008 15:06:24 +0000

germinate (0.40) unstable; urgency=low

  * Fix ordering of seed planting in the event that a seed in an included
    branch is overridden by one with different inheritance.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Feb 2008 18:33:25 +0000

germinate (0.39) unstable; urgency=low

  [ Jonathan Riddell ]
  * Use 'bzr checkout --lightweight' to speed up seed checkouts.

  [ Colin Watson ]
  * Allow "metapackage_map/SEED" configuration file entries in
    update-metapackage, which can be used to generate output metapackages
    whose names do not match the generating seed names.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Feb 2008 14:38:56 +0000

germinate (0.38) unstable; urgency=low

  * Fix germination from multiple seed sources in bzr mode.
  * germinate-update-metapackage now automatically expands the seeds option
    for seed inheritance, so you no longer usually need to have separate
    seeds and output_seeds options in update.cfg.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Feb 2008 11:30:53 +0000

germinate (0.37) unstable; urgency=low

  * Output a .seedtext file for each seed, containing the verbatim text of
    the seed.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Feb 2008 11:30:39 +0000

germinate (0.36) unstable; urgency=low

  * Add special-case handling of supported+build-depends to
    germinate-pkg-diff.
  * Add -S/--seed-source, -s/--seed-dist, and -d/--dist options to
    germinate-pkg-diff.
  * Add support for germinating from multiple seed sources as well as
    multiple branches. This is needed to support "third-party" seed branches
    that are stored in a different location from branches they include.
  * Fix rescuing of packages from extra, broken in 0.32.

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Jan 2008 21:53:30 +0000

germinate (0.35) unstable; urgency=low

  * Make germinate-update-metapackage only blacklist the metapackage being
    generated, not all metapackages. See LP #148075.
  * Change default distribution to hardy.
  * Vcs-Bzr is now an official field.
  * Fix 'structure' output file; records were being separated by the empty
    string rather than by newlines, which made it rather useless.
  * Add an 'include' facility to the STRUCTURE file to allow seeds from one
    branch to inherit from seeds in another branch.
  * Automatically compute the transitive closure of inheritance
    relationships in the STRUCTURE file, rather than requiring them to be
    written out by hand. In other words, if you have 'minimal: required'
    then you can simply write 'standard: minimal' rather than 'standard:
    required minimal'. This is a requirement for sane use of 'include',
    since it may not be straightforward to hardcode the inheritance
    relationships among seeds in another branch.
  * Unhardcode the 'supported' seed. The last seed in the STRUCTURE file is
    now used for build-depends calculations.
  * Policy version 3.7.3: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Jan 2008 14:25:16 +0000

germinate (0.34) unstable; urgency=low

  * Follow Recommends in Section: metapackages as if they were Depends.
  * Ignore leading and trailing whitespace and blank lines in STRUCTURE
    files.
  * Allow comments (starting with #) in STRUCTURE files.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Aug 2007 12:05:40 +0100
