=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	dh_compress
 	dh_fixperms
 	dh_pysupport
-	dh_python
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
