## germinate 1.5

=== debian/changelog ===
germinate (1.5) unstable; urgency=low

  * Consider whether there are any moves as well as additions or removals
    when deciding whether to run dch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Jul 2008 10:36:56 +0100

germinate (1.4) unstable; urgency=low

  [ François-Denis Gonthier ]
  * Display stdout from debootstrap on error.
  * --nodch shouldn't make germinate-update-metapackage display the 'No
    changes found' message.
  * Add a general description to germinate-update-metapackage's help output.
  * Add --output-directory to germinate-update-metapackage.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jul 2008 15:36:10 +0100

germinate (1.3) unstable; urgency=low

  [ François-Denis Gonthier ]
  * Add --nodch option to germinate-update-metapackage (LP: #242374).

  [ Colin Watson ]
  * Follow Recommends if 'feature follow-recommends' is set in the seed
    STRUCTURE file.
  * Document seed headers in germinate(1) (suggestion from François-Denis
    Gonthier).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 19:47:13 +0100

germinate (1.2) unstable; urgency=low

  [ Nicolas Barcet ]
  * Generate a seedstructure.dot diagram of seed inheritance.

  [ Colin Watson ]
  * Ensure that /usr/sbin and /sbin are on PATH when running debootstrap
    (closes: #487706). Requires Python 2.4.

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Jun 2008 15:40:08 +0100

germinate (1.1) unstable; urgency=low

  * Only raise SeedError from open_seed if all attempts to open the seed
    failed; otherwise using multiple seed sources breaks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 May 2008 16:27:37 +0100

germinate (1.0) unstable; urgency=low

  * Check whether versions in dependencies are satisfied (LP: #74514).
  * Exclude Essential packages from metapackage dependencies (LP: #42261).
  * Make metapackage changelog entries more concise by merging items for
    multiple architectures (LP: #217963).
  * Print a helpful error message if an ssh connection fails, on the
    assumption that it's often due to an incorrect username (LP: #99123).
  * Document fetching seeds from the local file system (closes: #363536).
  * Add an example of using --seed-packages.
  * Change default distribution to intrepid. Update kubuntu-meta example in
    germinate-update-metapackage(1).
  * With all reported Ubuntu bugs fixed and only one organisationally-tricky
    Debian bug left, I think it's about time to bump the version to 1.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 May 2008 11:37:11 +0100
