=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: germinate
 Section: utils
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.7.2
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.37.2)
 Build-Depends-Indep: python, python-support (>= 0.3)
-XS-Vcs-Bzr: http://people.ubuntu.com/~cjwatson/bzr/germinate/mainline
+Vcs-Bzr: http://people.ubuntu.com/~cjwatson/bzr/germinate/mainline
 
 Package: germinate
 Architecture: all
