## germinate 1.10

=== debian/changelog ===
germinate (1.10) unstable; urgency=low

  * Increase the recursion limit to 2000 for now to avoid running into
    problems with very deep dependency chains following code changes in 1.9.
    Other solutions are possible; this is a quick temporary hack.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Sep 2008 22:24:46 +0100

germinate (1.9) unstable; urgency=low

  * Fix fallback from .bz2 files when OSError is raised.
  * Try promoting alternative dependencies before adding new packages to the
    output. While the first dependency in an |-ed list may be promoted from
    any lesser seed, doing this for all alternatives produces pathological
    output, so instead we only promote from "close-by" lesser seeds, i.e.
    those that list the current seed in a Task-Seeds header (LP: #271309).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2008 01:05:19 +0100

germinate (1.8) unstable; urgency=low

  [ Evan Dandrea ]
  * Fix -S example to use file:// where the rest of the documentation says
    you should (LP: #264471).

  [ Colin Watson ]
  * Prefer Packages.bz2 and Sources.bz2 to .gz if possible; if neither
    works, fall back to the uncompressed files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2008 11:37:09 +0100

germinate (1.7) unstable; urgency=low

  * Add support for setting per-seed features, so that following Recommends
    can be disabled for some seeds but not others (LP: #254042).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Sep 2008 01:40:19 +0100

germinate (1.6) unstable; urgency=low

  * Adjust printing of helpful ssh error messages when bzr fails (and
    re-raising of SeedError) to avoid causing problems when update.cfg
    contains multiple entries in seed_base.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Aug 2008 22:47:40 +0100
