## germinate 1.14

=== debian/changelog ===
germinate (1.14) unstable; urgency=low

  * If germinate-update-metapackage fails, just print a message on stderr
    and exit 1, rather than raising RuntimeError (LP: #323714).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Mar 2009 09:59:32 +0000

germinate (1.13) unstable; urgency=low

  * Document 'germinate -v' in its manual page.
  * Report stderr as well as stdout from debootstrap failures (thanks, Loïc
    Minier; LP: #331488).
  * Use 'key in dict' rather than 'dict.has_key(key)'; dict.has_key is
    deprecated in Python 2.6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Feb 2009 16:33:13 +0000

germinate (1.12) unstable; urgency=low

  * Change default distribution to jaunty.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Feb 2009 10:52:21 +0000

germinate (1.11) unstable; urgency=low

  * Keep going if the blacklist file can't be downloaded. (This was always
    the intent, but foiled by an implementation error.)
  * Clarify the purpose of individual blacklist entries in seeds in
    germinate(1).
  * Render the description of special seed syntax in germinate(1) as a tag
    list, to make it easier to read.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Sep 2008 23:07:21 +0100
