## germinate 1.18

=== debian/changelog ===
germinate (1.18) unstable; urgency=low

  * Make germinate-update-metapackage write out a metapackage-map file,
    which is useful for later determining the set of seeds and metapackages
    to build.
  * Add a debhelper addon, useful for building metapackages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 23:36:23 +0100

germinate (1.17) unstable; urgency=low

  * Use people.canonical.com everywhere rather than people.ubuntu.com.
  * Change default distribution to karmic.
  * Convert to debhelper 7. I've taken some care to avoid use of the new
    override targets since Ubuntu hardy-jaunty don't have a debhelper that
    supports those.
  * Policy version 3.8.2: no changes required.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 26 Jul 2009 15:38:01 +0100

germinate (1.16) unstable; urgency=low

  * Pass germinate-update-metapackage's list of components to debootstrap.
  * Replace internal wiki link in README with something world-readable.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jun 2009 21:16:40 +0100

germinate (1.15) unstable; urgency=low

  * Fix handling of archives that only contain uncompressed index files
    (thanks to Chris Cheney for the report).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Jun 2009 17:34:09 +0100
