## germinate 1.21

=== debian/changelog ===
germinate (1.21) unstable; urgency=low

  [ Julian Andres Klode ]
  * Port the code to the new python-apt API and require at least
    version 0.7.93.2 of python-apt (closes: #571744).

  [ Colin Watson ]
  * Convert to source format 3.0 (native).
  * Policy version 3.8.4: no changes required.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Apr 2010 11:24:24 +0100

germinate (1.20) unstable; urgency=low

  * Add 'make check' which runs pychecker if available, and make it pass.
  * Change default distribution to lucid.
  * Update kubuntu-meta example in germinate-update-metapackage(1) (add
    netbook; remove hppa; add armel).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Nov 2009 12:50:56 +0000

germinate (1.19) unstable; urgency=low

  [ Colin Watson ]
  * Fix interpretation of architecture-specific regex seed entries where the
    regex contains a character class (which looks a bit like an architecture
    specification in the wrong light).

  [ Loïc Minier ]
  * Document --source-mirror option in germinate(1).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Oct 2009 19:55:16 +0100
