## germinate 1.25

=== debian/changelog ===
germinate (1.25) unstable; urgency=low

  * Only raise an exception from open_tag_files if an appropriate file is
    not found on any mirror (thanks, Tom Gall, Steve Langasek, and Barry
    Warsaw; LP: #717879).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Apr 2011 15:36:38 +0100

germinate (1.24) unstable; urgency=low

  * Always refresh copies of local Packages and Sources files (i.e. when
    using the file: scheme).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Dec 2010 14:32:07 +0000

germinate (1.23) unstable; urgency=low

  * Write out entire decompressed Packages/Sources files in one go, rather
    than line-by-line.  This is a bit faster.
  * Convert to dh_python2.
  * Change default distribution to natty.
  * Update kubuntu-meta example in germinate-update-metapackage(1) (remove
    ia64 and sparc).

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Oct 2010 22:09:07 +0100

germinate (1.22) unstable; urgency=low

  * Change default distribution to maverick.
  * Update kubuntu-meta example in germinate-update-metapackage(1) (remove
    lpia).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Aug 2010 13:18:27 +0100
