=== debian/changelog ===
germinate (1.27) unstable; urgency=low

  [ Alexandros Frantzis ]
  * Change local tag file name format to permit multiple repositories on the
    same host (LP: #634831).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Aug 2011 16:32:12 +0100

germinate (1.26) unstable; urgency=low

  * Use 'bzr branch' rather than 'bzr get'; the latter is apparently
    deprecated in bzr 2.4.
  * Change default distribution to oneiric.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2011 13:25:22 +0100

germinate (1.25.1) unstable; urgency=low

  * Add a new option, --no-installer, allowing one to process seeds
    without considering debian-installer udebs in the output.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 21 Jul 2011 22:19:29 -0600
