=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.0.0)
-Build-Depends-Indep: python, python-support (>= 0.3)
+Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends-Indep: python (>= 2.6.5-2)
 Vcs-Bzr: http://people.canonical.com/~cjwatson/bzr/germinate/mainline
+XS-Python-Version: >= 2.4
 
 Package: germinate
 Architecture: all
