=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with python2

override_dh_python2:
	dh_python2 /usr/lib/germinate
